No puedo instalar en servidor mediante PuTTY


#1

Sinceramente ando perdido, ya que no se si mi servidor contiene los archivos necesarios para poder realizar la instalación. He ido aprendiendo sobre la marcha pero me he quedado aqu, por favor, si alguien puede decirme donde estoy y donde debo ir… Muchas gracias de antemano!!!

(uiserver):u76894035:~/letsencrypt > ./letsencrypt-auto
"sudo" is not available, will use “su” for installation steps…
Bootstrapping dependencies for Debian-based OSes…
./letsencrypt-auto: line 154: 5041 Segmentation fault apt-cache show virtualenv > /dev/null 2>&1
./letsencrypt-auto: line 154: 5042 Segmentation fault apt-cache show python-virtualenv > /dev/null 2>&1
No LSB modules are available.
No LSB modules are available.
No libaugeas0 version is available that’s new enough to run the
Let’s Encrypt apache plugin…
Failed to install a working “virtualenv” command, exiting


#2

heu… english please ?

But anyway, your system seems quite broken as apt-cache show virtualenv segfault…


#3

Hola @Eduardo,

Como te ha comentado @Nit, este es un foro en el que sólo se habla inglés así que por favor, escribe tus mensajes en la lengua de Shakespeare :wink:

Con respecto a tu problema, ¿qué versión de Debian o distribución basada en Debian estás utilizando?, porque parece que tu sistema no va muy fino, esos errores no son normales. El cliente oficial de Let’s Encrypt hace un uso intensivo de python así que quizá podrías probar otro cliente de los que tienes en esta lista que haga uso de pocos recursos externos como getssl o le.

Un saludo,
sahsanu

— English —

Hello @Eduardo,

As @nit said, this is an English only forum, so, please, next time you post, do it in Shakespeare’s language :wink:

Regarding your problem, what’s your Debian (or Debian based distribution) version?, because seems your system is a bit broken. those errors are not normal. Official Let’s Encrypt client uses python in a heavy way so maybe you should try another client from this list that needs just a few external resources like getssl or le.

Cheers,
sahsanu


#4

Hi Sahsanu,

Sorry for my start, and sorry for my english too.

I’m starting to learn a little when I wanted to install the SSL certificate letsencrypt on my page. I think the server is managed by my hosting provider (1 and 1), and not let me do anything , I do not have root permissions .
The server runs on Debian with Apache , I don´t know with what versión.
I have contacted with 1 & 1 for telling me , if somehow I can install the certificate.
If I had a servdidor dedicated 1 & 1 would have Plesk and would be all done , I think.

Thank you !!!